// Attach a submit handler to the form

$(function() {

    $("#result").empty().append("Enter something above...");

    $("#nos_form").submit(function( event ) {

        // Stop form from submitting normally
        event.preventDefault();

        // Get some values from elements on the page:
        var url = "http://localhost:8000";
        var args = {
            command: $('textarea#command').val(),
            state: $('input#state').val()
        };
        //alert(JSON.stringify(args));

        // Send the data using post
        var posting = $.post(url, args);

        // Put the results in a div
        posting.done(function( data ) {
            $('#result').html(Viz(data, "svg"));
        });

    });

});
